<!-- employee-form.component.html -->
<div class="container mt-5">
    <h2 *ngIf="isEditMode">Edit Employee</h2>
    <h2 *ngIf="!isEditMode">Add Employee</h2>
    <form [formGroup]="employeeForm" (ngSubmit)="onSubmit()">
        <div class="form-group">
            <label for="username">Username</label>
            <input id="username" formControlName="username" class="form-control" [readonly]="isEditMode">
        </div>
        <div class="form-group">
            <label for="firstName">First Name</label>
            <input id="firstName" formControlName="firstName" class="form-control">
        </div>
        <div class="form-group">
            <label for="lastName">Last Name</label>
            <input id="lastName" formControlName="lastName" class="form-control">
        </div>
        <div class="form-group">
            <label for="email">Email</label>
            <input id="email" formControlName="email" class="form-control" type="email">
        </div>
        <div class="form-group">
            <label for="birthDate">Birth Date</label>
            <input id="birthDate" formControlName="birthDate" class="form-control" type="date">
        </div>
        <div *ngIf="employeeForm.controls['birthDate'].invalid && employeeForm.controls['birthDate'].touched"
            class="text-danger my-1">
            Birth date cannot be greater than today
        </div>
        <div class="form-group">
            <label for="basicSalary">Basic Salary</label>
            <input id="basicSalary" formControlName="basicSalary" class="form-control" type="number">
        </div>
        <div class="form-group">
            <label for="status">Status</label>
            <select formControlName="status" class="form-control" id="status">
                <option value="Active">Active</option>
                <option value="Inactive">Inactive</option>
            </select>
        </div>
        <div class="form-group">
            <label for="group">Group</label>
            <select formControlName="group" class="form-control" id="group">
                <option *ngFor="let option of groups" [value]="option">{{ option }}</option>
            </select>
        </div>
        <div class="form-group mb-3">
            <label for="description">Description</label>
            <textarea id="description" formControlName="description" class="form-control"></textarea>
        </div>
        <button type="submit" class="btn btn-primary btn-block mx-1" [disabled]="!employeeForm.valid">{{ isEditMode ?
            'Update' : 'Add' }} Employee</button>

        <button class="btn btn-secondary mx-1" [routerLink]="['/employees']">Back</button>
    </form>
</div>